/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\Mobiles\Animals\Reptiles\LavaSerpent.cs
Lines of code: 95
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a lava serpent corpse" )]
	[TypeAlias( "Server.Mobiles.Lavaserpant" )]
	public class LavaSerpent : BaseCreature
	{
		[Constructable]
		public LavaSerpent() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a lava serpent";
			Body = 90;
			BaseSoundID = 219;

			SetStr( 386, 415 );
			SetDex( 56, 80 );
			SetInt( 66, 85 );

			SetHits( 232, 249 );
			SetMana( 0 );

			SetDamage( 10, 22 );

			SetDamageType( ResistanceType.Physical, 20 );
			SetDamageType( ResistanceType.Fire, 80 );

			SetResistance( ResistanceType.Physical, 35, 45 );
			SetResistance( ResistanceType.Fire, 70, 80 );
			SetResistance( ResistanceType.Poison, 30, 40 );
			SetResistance( ResistanceType.Energy, 10, 20 );

			SetSkill( SkillName.MagicResist, 25.3, 70.0 );
			SetSkill( SkillName.Tactics, 65.1, 70.0 );
			SetSkill( SkillName.Wrestling, 60.1, 80.0 );

			Fame = 4500;
			Karma = -4500;

			VirtualArmor = 40;

			PackItem( new SulfurousAsh( 3 ) );
			//PackItem( new Bone() );

			// TODO: body parts, armour

			switch ( Utility.Random( 10 ))
			{
				case 0: PackItem( new LeftArm() ); break;
				case 1: PackItem( new RightArm() ); break;
				case 2: PackItem( new Torso() ); break;
				case 3: PackItem( new Bone() ); break;
				case 4: PackItem( new RibCage() ); break;
				case 5: PackItem( new RibCage() ); break;
				case 6: PackItem( new BonePile() ); break;
				case 7: PackItem( new BonePile() ); break;
				case 8: PackItem( new BonePile() ); break;
				case 9: PackItem( new BonePile() ); break;
			}
		}
		
		public override int AuraDamageMin {get{return 15;}}		
		public override int AuraDamageMax {get{return 25;}}		
		
		public override double AuraChance {get{return 1;}} 
		public override int AuraDelayMin {get{return 7;}}
		public override int AuraDelayMax {get{return 10;}}
		
		public override int AuraEffectID {get{return 0x374A;}}			//effect item id shown on affected mobiles
		public override int AuraEffectType {get{return 9502;}}		//effect id shown on affected mobiles 9502
		public override int AuraEffectHue {get{return 37;}} 			//effect hue to show on affected mobiles 0x835
		public override int AuraEffectRender {get{return 3;}} 			//effect render mode to show on affected mobiles 0x496
		public override int AuraEffectSound {get{return 0x208;}}			//effect sound id to show on affected mobiles		
		
		public override int AuraDamagePhys {get{return 0;}}
		public override int AuraDamageFire {get{return 100;}}
		public override int AuraDamageCold {get{return 0;}}
		public override int AuraDamagePoison {get{return 0;}}
		public override int AuraDamageEnergy {get{return 0;}}
		public override int AuraDamageChaos {get{return 0;}}
		public override int AuraDamageDirect {get{return 0;}} 	
		
		public override TextDefinition AuraEffectText {get{return "You are engulfed in flames!";}}//cliloc/string sent to affected mobiles				
		public override int AuraRange {get{return 4;}}				//the range in tiles, of the aura
		public override bool AuraIgnoreLOS {get{return false;}}		//whether to ignore LOS	

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
		}

		public override bool DeathAdderCharmable{ get{ return true; } }

		public override bool HasBreath{ get{ return true; } } // fire breath enabled
		public override int Meat{ get{ return 4; } }
		public override int Hides{ get{ return 15; } }
		public override HideType HideType{ get{ return HideType.Spined; } }

		public LavaSerpent(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();

			if ( BaseSoundID == -1 )
				BaseSoundID = 219;
		}
	}
}